<!DOCTYPE html>
<html>

<head>
	<title>watch list</title>
	<link rel="stylesheet" href="../assets/css/bootstrap.min.css">
	<script type="text/javascript" src="../assets/js/vue.js"></script>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<script type="text/javascript" src="assets/js/app.js"></script>
	<script src="https://cdn.jsdelivr.net/vue.resource/1.0.3/vue-resource.min.js"></script>
	<style>
		.text-center {
			text-align: center;
		}
		img {
			width: 100%
		}
		h2 {
			min-height: 80px;
		}
		.equal {
			display: flex;
			display: -webkit-flex;
			flex-wrap: wrap;
		}
		.sameheight {
			height: 70px;
			overflow: hidden;
		}
		.imgcontainer {
			min-height: 550px
		}
	</style>
</head>

<body>
	<div class="container" id="app">
		<div class="row" v-if="watch_later.length">
			<div class="col text-center well">
				<h1>Watch List</h1>
			</div>
		</div>
		<div class="row text-center well equal" v-if="watch_later.length">
			<div class="col col-md-4 item" v-for="(item , index) in watch_later">
				<h2>{{item.title}}</h2>
				<div class="imgcontainer">
					<a><img :src="'http://image.tmdb.org/t/p/w342//' + item.poster_path">
					</a>
					<br>
					<br>
				</div>
				<div class="sameheight">
					<p>{{item.overview}}</p>
				</div>
				<h3>İmdb Rating :{{item.vote_average}}</h3>
				<button class="btn btn-warning btn-lg btn-block" v-on:click="removeWatchLater(index)">Delete</button>
			</div>
		</div>
		<div class="row well">
			<div class="col-md-12">
				<h1>Movie Search</h1>
				<form onsubmit="return false">
					<input type="text" class="form-control input-lg col-md-5" v-model="name" placeholder="Enter Movie Name">
					<button class="btn btn-primary btn-block btn-lg  col-md-2" style="float: left;margin-top: 15px" v-on:click="fetchData()">Search</button>
				</form>
			</div>
		</div>

		<div class="row text-center well equal" v-if=isShow>
			<img src="assets/img/loading.gif" class="img-responsive center-block" v-if=isLoading style="width:150px;height: 100px">

			<div class="col col-md-4 item" v-for="(item , index) in movies">

				<h2>{{item.title}}</h2>
				<div class="imgcontainer">
					<a><img :src="'http://image.tmdb.org/t/p/w342//' + item.poster_path">
					</a>
					<br>
					<br>
				</div>
				<div class="sameheight">
					<p>{{item.overview}}</p>
				</div>
				<h3>İmdb Rating :{{item.vote_average}}</h3>
				<button class="btn btn-primary  btn-lg btn-block" v-on:click="addWatchList(index)">Add List</button>
			</div>
		</div>
	</div>
	<!--Container And-->
</body>

</html>